%define aurox_ver 9.3
%define rel 2



%define name      fbdesk
%define version   1.1.5
%define section   Fluxbox/action
%define title     Fbdesk
%define longtitle Fluxbox-application to create and manage icons on your desktop

# Aurox
%define _liconsdir %{_datadir}/pixmaps
%define _menudir %{_datadir}/applications

Summary:          %longtitle
Name:             %name
Version:          %version
Release: %{aurox_ver}.aur.%{rel}
License:          MIT
Group:            Graphical desktop/Other
URL:              http://fluxbox.sourceforge.net/fbdesk
Source0:          %name-%version.tar.gz
Source1:          %name-icons.tar.bz2

BuildRoot:        %_tmppath/%name-buildroot
BuildRequires:    XFree86-devel libpng-devel fontconfig-devel
Requires:         XFree86       libpng       fontconfig

%description

FbDesk is a fluxbox-application to create and manage icons on your desktop.

Implemented Features :

    * XPM and PNG image loading
    * Antialias text
    * UTF-8 and multibyte support
    * Vertical text
    * Grid Snapping
    * GUI for editing command/label and add/remove icons
    * Fluxbox menu style


%prep

%setup -q
%setup -q -T -D -a1


%build
%configure
%__make
%__strip src/%name

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Icon=%{name}.png
Exec=fbdesk
Terminal=false
Type=Application
X-Desktop-File-Install-Version=0.3
Categories=Application;System;SystemSetup;X-Aurox-Base;
EOF



#Aurox entries
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fluxbox
cat > $RPM_BUILD_ROOT%{_datadir}/fluxbox/icons << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Icon=%{name}.png
Exec=fbdesk
Terminal=false
Type=Application
X-Desktop-File-Install-Version=0.3
Categories=Application;System;SystemSetup;X-Aurox-Base;
EOF


# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
%__install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
#%__install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#%__install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

rm %{name}*.png
%__install -d            $RPM_BUILD_ROOT%{_datadir}/%{name}
%__install -m 0644 *.png $RPM_BUILD_ROOT%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%_bindir/*
%_menudir/*

#%_miconsdir/*
#%_iconsdir/*
%_liconsdir/*
%_datadir/%name/*.png
%_datadir/fluxbox/icons


%changelog
* Tue Jan 27 2004 Aurox Team <aurox@aurox.org> 0:1.1.5-9.3.aur.2
- add file to files
- icon on desktop
- rebuild for Aurox 9.3

* Tue Jul 01 2003 Robert Glowczynski <robertg@software.com.pl> 1.1.5-9.1.aur.1
- New release 1.1.5.
- Modify menu/icon installation for Aurox.

* Thu Jan 30 2003 Han Boetes <han@linux-mandrake.com> 1.1.3-1mdk
- Bump. bugfix-release.

* Sun Jan 19 2003 Han Boetes <han@linux-mandrake.com> 1.1.2-1mdk
- Initial release.
